package com.sv.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 用户auth表
 *
 * @author lihong
 * @since 2018-08-02
 */
public class MemberAuth implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 用户authID
     */
    private String authId;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 认证类型
     */
    private Integer type;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置用户authID
     *
     * @param authId 用户authID
     */
    public void setAuthId(String authId){
        this.authId = authId;
    }

    /**
     * 获取用户authID
     *
     * @return 用户authID
     */
    public String getAuthId(){
        return authId;
    }


    /**
     * 设置手机号
     *
     * @param mobile 手机号
     */
    public void setMobile(String mobile){
        this.mobile = mobile;
    }

    /**
     * 获取手机号
     *
     * @return 手机号
     */
    public String getMobile(){
        return mobile;
    }


    /**
     * 设置用户ID
     *
     * @param memberId 用户ID
     */
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getMemberId(){
        return memberId;
    }


    /**
     * 设置认证类型
     *
     * @param type 认证类型
     */
    public void setType(Integer type){
        this.type = type;
    }

    /**
     * 获取认证类型
     *
     * @return 认证类型
     */
    public Integer getType(){
        return type;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public Integer getPlatformId() {
        return platformId;
    }

    public void setPlatformId(Integer platformId) {
        this.platformId = platformId;
    }
}